### Mark

Category

Structuring

Function

Marks a component.

Syntax

    output = Mark(input, name);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`input` | field | none | the field with a component to be marked
`name` | string | none | the component to be marked

Outputs

Name | Type | Description
--- | --- | ---
`output` | field | the field with the named component marked

Functional Details

This module marks a specified component of a specified input as "data" (without moving the "marked" component from its original position).

`input` | is the field that contains the component to be marked.
`name` | specifies the component to be marked.

Once a component has been marked, all modules that operate on the "data" component will now operate on the `name` component. If a "data" component already exists in `input`, it is saved as the "saved data" component. If a "saved data" component already exists, the module returns an error.

Notes:

1. Many modules operate only on the "data" component of a field. The functional scope of such modules can be expanded by using the Mark module to mark, for example, "positions" or "colors" components.

2. Mark adds an attribute, called "marked component," that lists the name of the component that was marked. The Unmark module will use this attribute if no component is specified for unmarking.

Components

Moves the "data" component to the "saved data" component and copies the `name` component to the "data" component. All other input components are propagated to the output.

Example Visual Programs

    MakeLineMacro.net
    PlotLine.net
    PlotLine2.net
    PlotTwoLines.net
    Sealevel.net
    UsingMap.net
    WarpingPositions.net
    SIMPLE/MarkUnmark.net

See Also

Compute, Extract, Options, Rename, Replace, Unmark

[ OpenDX Home at IBM | OpenDX.org ]